Can't install json-.0.4.4 - memory allocation failed

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Can't install json-.0.4.4 - memory allocation failed

Dan Tenenbaum
Hi all,

Please tell me where I should post this if this is not the appropriate list.

I tried to install the json-0.4.4 package on Mac OS 10.5.8, and got this error:

$  sudo cabal install "json-0.4.4"
Building json-0.4.4...
[1 of 7] Compiling Text.JSON.Types  ( Text/JSON/Types.hs,
dist/build/Text/JSON/Types.o )
[2 of 7] Compiling Text.JSON.Pretty ( Text/JSON/Pretty.hs,
dist/build/Text/JSON/Pretty.o )
[3 of 7] Compiling Text.JSON.ReadP  ( Text/JSON/ReadP.hs,
dist/build/Text/JSON/ReadP.o )

Text/JSON/ReadP.hs:104:21:
    Warning: A do-notation statement discarded a result of type b.
             Suppress this warning by saying "_ <- n",
             or by using the flag -fno-warn-unused-do-bind
[4 of 7] Compiling Text.JSON.Parsec ( Text/JSON/Parsec.hs,
dist/build/Text/JSON/Parsec.o )
ghc: memory allocation failed (requested 2097152 bytes)
cabal: Error: some packages failed to install:
json-0.4.4 failed during the building phase. The exception was:
ExitFailure 1

This is on a machine with 16GB of RAM.

I don't think
http://www.haskell.org/cabal/FAQ.html#cabal-goes-into-an-infinite-loop--runs-out-of-memory
applies because I'm using higher versions than mentioned there:
$ ghc --version
The Glorious Glasgow Haskell Compilation System, version 6.12.3
$ cabal --version
cabal-install version 0.8.2
using version 1.8.0.6 of the Cabal library

I know Mac OS 10.5.8 is old, but unfortunately ugrading this
particular machine is not an option.
Hope someone can help.
Thanks,
Dan


Reply | Threaded
Open this post in threaded view
|

Can't install json-.0.4.4 - memory allocation failed

Rico Moorman
Hi Dan,

I actually ran into the same problem installing the json library (as
requirement of pandoc) some time ago. I solved this by using a more recent
version of GHC (for linux in my case). I think 6.12.3 is regarded as quite
dated.

I hope this helps.

Best regards,

Rico Moorman


On Mon, Nov 19, 2012 at 7:18 PM, Dan Tenenbaum <dtenenba at fhcrc.org> wrote:

> Hi all,
>
> Please tell me where I should post this if this is not the appropriate
> list.
>
> I tried to install the json-0.4.4 package on Mac OS 10.5.8, and got this
> error:
>
> $  sudo cabal install "json-0.4.4"
> Building json-0.4.4...
> [1 of 7] Compiling Text.JSON.Types  ( Text/JSON/Types.hs,
> dist/build/Text/JSON/Types.o )
> [2 of 7] Compiling Text.JSON.Pretty ( Text/JSON/Pretty.hs,
> dist/build/Text/JSON/Pretty.o )
> [3 of 7] Compiling Text.JSON.ReadP  ( Text/JSON/ReadP.hs,
> dist/build/Text/JSON/ReadP.o )
>
> Text/JSON/ReadP.hs:104:21:
>     Warning: A do-notation statement discarded a result of type b.
>              Suppress this warning by saying "_ <- n",
>              or by using the flag -fno-warn-unused-do-bind
> [4 of 7] Compiling Text.JSON.Parsec ( Text/JSON/Parsec.hs,
> dist/build/Text/JSON/Parsec.o )
> ghc: memory allocation failed (requested 2097152 bytes)
> cabal: Error: some packages failed to install:
> json-0.4.4 failed during the building phase. The exception was:
> ExitFailure 1
>
> This is on a machine with 16GB of RAM.
>
> I don't think
>
> http://www.haskell.org/cabal/FAQ.html#cabal-goes-into-an-infinite-loop--runs-out-of-memory
> applies because I'm using higher versions than mentioned there:
> $ ghc --version
> The Glorious Glasgow Haskell Compilation System, version 6.12.3
> $ cabal --version
> cabal-install version 0.8.2
> using version 1.8.0.6 of the Cabal library
>
> I know Mac OS 10.5.8 is old, but unfortunately ugrading this
> particular machine is not an option.
> Hope someone can help.
> Thanks,
> Dan
>
> _______________________________________________
> Beginners mailing list
> Beginners at haskell.org
> http://www.haskell.org/mailman/listinfo/beginners
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/beginners/attachments/20121120/230cdcf9/attachment.htm>

Reply | Threaded
Open this post in threaded view
|

Can't install json-.0.4.4 - memory allocation failed

Dan Tenenbaum
Thanks. My goal is also to install pandoc.
The problem is that what I currently have is the latest version of the
Haskell Platform which is available as a binary for Mac OS 10.5.
If I want a more recent Haskell Platform, I need to build from source
(and/or use port or brew) which I haven't been able to do
successfully, but I guess that's a different post....

Thanks,
Dan


On Tue, Nov 20, 2012 at 12:52 PM, Rico Moorman <rico.moorman at gmail.com> wrote:

> Hi Dan,
>
> I actually ran into the same problem installing the json library (as
> requirement of pandoc) some time ago. I solved this by using a more recent
> version of GHC (for linux in my case). I think 6.12.3 is regarded as quite
> dated.
>
> I hope this helps.
>
> Best regards,
>
> Rico Moorman
>
>
> On Mon, Nov 19, 2012 at 7:18 PM, Dan Tenenbaum <dtenenba at fhcrc.org> wrote:
>>
>> Hi all,
>>
>> Please tell me where I should post this if this is not the appropriate
>> list.
>>
>> I tried to install the json-0.4.4 package on Mac OS 10.5.8, and got this
>> error:
>>
>> $  sudo cabal install "json-0.4.4"
>> Building json-0.4.4...
>> [1 of 7] Compiling Text.JSON.Types  ( Text/JSON/Types.hs,
>> dist/build/Text/JSON/Types.o )
>> [2 of 7] Compiling Text.JSON.Pretty ( Text/JSON/Pretty.hs,
>> dist/build/Text/JSON/Pretty.o )
>> [3 of 7] Compiling Text.JSON.ReadP  ( Text/JSON/ReadP.hs,
>> dist/build/Text/JSON/ReadP.o )
>>
>> Text/JSON/ReadP.hs:104:21:
>>     Warning: A do-notation statement discarded a result of type b.
>>              Suppress this warning by saying "_ <- n",
>>              or by using the flag -fno-warn-unused-do-bind
>> [4 of 7] Compiling Text.JSON.Parsec ( Text/JSON/Parsec.hs,
>> dist/build/Text/JSON/Parsec.o )
>> ghc: memory allocation failed (requested 2097152 bytes)
>> cabal: Error: some packages failed to install:
>> json-0.4.4 failed during the building phase. The exception was:
>> ExitFailure 1
>>
>> This is on a machine with 16GB of RAM.
>>
>> I don't think
>>
>> http://www.haskell.org/cabal/FAQ.html#cabal-goes-into-an-infinite-loop--runs-out-of-memory
>> applies because I'm using higher versions than mentioned there:
>> $ ghc --version
>> The Glorious Glasgow Haskell Compilation System, version 6.12.3
>> $ cabal --version
>> cabal-install version 0.8.2
>> using version 1.8.0.6 of the Cabal library
>>
>> I know Mac OS 10.5.8 is old, but unfortunately ugrading this
>> particular machine is not an option.
>> Hope someone can help.
>> Thanks,
>> Dan
>>
>> _______________________________________________
>> Beginners mailing list
>> Beginners at haskell.org
>> http://www.haskell.org/mailman/listinfo/beginners
>
>


Reply | Threaded
Open this post in threaded view
|

Can't install json-.0.4.4 - memory allocation failed

Peter Hall
You might have the most recent haskell platform installed, but the version
of GHC that is actually being used to compile is much older.

I would guess that you have previously installed *something* using Macports
(or fink/homebrew), which depended on that specific GHC. Try removing it
via the macports.

Peter


On 20 November 2012 21:42, Dan Tenenbaum <dtenenba at fhcrc.org> wrote:

> Thanks. My goal is also to install pandoc.
> The problem is that what I currently have is the latest version of the
> Haskell Platform which is available as a binary for Mac OS 10.5.
> If I want a more recent Haskell Platform, I need to build from source
> (and/or use port or brew) which I haven't been able to do
> successfully, but I guess that's a different post....
>
> Thanks,
> Dan
>
>
> On Tue, Nov 20, 2012 at 12:52 PM, Rico Moorman <rico.moorman at gmail.com>
> wrote:
> > Hi Dan,
> >
> > I actually ran into the same problem installing the json library (as
> > requirement of pandoc) some time ago. I solved this by using a more
> recent
> > version of GHC (for linux in my case). I think 6.12.3 is regarded as
> quite
> > dated.
> >
> > I hope this helps.
> >
> > Best regards,
> >
> > Rico Moorman
> >
> >
> > On Mon, Nov 19, 2012 at 7:18 PM, Dan Tenenbaum <dtenenba at fhcrc.org>
> wrote:
> >>
> >> Hi all,
> >>
> >> Please tell me where I should post this if this is not the appropriate
> >> list.
> >>
> >> I tried to install the json-0.4.4 package on Mac OS 10.5.8, and got this
> >> error:
> >>
> >> $  sudo cabal install "json-0.4.4"
> >> Building json-0.4.4...
> >> [1 of 7] Compiling Text.JSON.Types  ( Text/JSON/Types.hs,
> >> dist/build/Text/JSON/Types.o )
> >> [2 of 7] Compiling Text.JSON.Pretty ( Text/JSON/Pretty.hs,
> >> dist/build/Text/JSON/Pretty.o )
> >> [3 of 7] Compiling Text.JSON.ReadP  ( Text/JSON/ReadP.hs,
> >> dist/build/Text/JSON/ReadP.o )
> >>
> >> Text/JSON/ReadP.hs:104:21:
> >>     Warning: A do-notation statement discarded a result of type b.
> >>              Suppress this warning by saying "_ <- n",
> >>              or by using the flag -fno-warn-unused-do-bind
> >> [4 of 7] Compiling Text.JSON.Parsec ( Text/JSON/Parsec.hs,
> >> dist/build/Text/JSON/Parsec.o )
> >> ghc: memory allocation failed (requested 2097152 bytes)
> >> cabal: Error: some packages failed to install:
> >> json-0.4.4 failed during the building phase. The exception was:
> >> ExitFailure 1
> >>
> >> This is on a machine with 16GB of RAM.
> >>
> >> I don't think
> >>
> >>
> http://www.haskell.org/cabal/FAQ.html#cabal-goes-into-an-infinite-loop--runs-out-of-memory
> >> applies because I'm using higher versions than mentioned there:
> >> $ ghc --version
> >> The Glorious Glasgow Haskell Compilation System, version 6.12.3
> >> $ cabal --version
> >> cabal-install version 0.8.2
> >> using version 1.8.0.6 of the Cabal library
> >>
> >> I know Mac OS 10.5.8 is old, but unfortunately ugrading this
> >> particular machine is not an option.
> >> Hope someone can help.
> >> Thanks,
> >> Dan
> >>
> >> _______________________________________________
> >> Beginners mailing list
> >> Beginners at haskell.org
> >> http://www.haskell.org/mailman/listinfo/beginners
> >
> >
>
> _______________________________________________
> Beginners mailing list
> Beginners at haskell.org
> http://www.haskell.org/mailman/listinfo/beginners
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/beginners/attachments/20121121/9cff80fe/attachment.htm>

Reply | Threaded
Open this post in threaded view
|

Can't install json-.0.4.4 - memory allocation failed

Peter Hall
OSX 10.5.8 isn't THAT old. You can definitely get a Haskell Platform 7.x

Peter


On 21 November 2012 22:58, Peter Hall <peter.hall at memorphic.com> wrote:

> You might have the most recent haskell platform installed, but the version
> of GHC that is actually being used to compile is much older.
>
> I would guess that you have previously installed *something* using
> Macports (or fink/homebrew), which depended on that specific GHC. Try
> removing it via the macports.
>
> Peter
>
>
> On 20 November 2012 21:42, Dan Tenenbaum <dtenenba at fhcrc.org> wrote:
>
>> Thanks. My goal is also to install pandoc.
>> The problem is that what I currently have is the latest version of the
>> Haskell Platform which is available as a binary for Mac OS 10.5.
>> If I want a more recent Haskell Platform, I need to build from source
>> (and/or use port or brew) which I haven't been able to do
>> successfully, but I guess that's a different post....
>>
>> Thanks,
>> Dan
>>
>>
>> On Tue, Nov 20, 2012 at 12:52 PM, Rico Moorman <rico.moorman at gmail.com>
>> wrote:
>> > Hi Dan,
>> >
>> > I actually ran into the same problem installing the json library (as
>> > requirement of pandoc) some time ago. I solved this by using a more
>> recent
>> > version of GHC (for linux in my case). I think 6.12.3 is regarded as
>> quite
>> > dated.
>> >
>> > I hope this helps.
>> >
>> > Best regards,
>> >
>> > Rico Moorman
>> >
>> >
>> > On Mon, Nov 19, 2012 at 7:18 PM, Dan Tenenbaum <dtenenba at fhcrc.org>
>> wrote:
>> >>
>> >> Hi all,
>> >>
>> >> Please tell me where I should post this if this is not the appropriate
>> >> list.
>> >>
>> >> I tried to install the json-0.4.4 package on Mac OS 10.5.8, and got
>> this
>> >> error:
>> >>
>> >> $  sudo cabal install "json-0.4.4"
>> >> Building json-0.4.4...
>> >> [1 of 7] Compiling Text.JSON.Types  ( Text/JSON/Types.hs,
>> >> dist/build/Text/JSON/Types.o )
>> >> [2 of 7] Compiling Text.JSON.Pretty ( Text/JSON/Pretty.hs,
>> >> dist/build/Text/JSON/Pretty.o )
>> >> [3 of 7] Compiling Text.JSON.ReadP  ( Text/JSON/ReadP.hs,
>> >> dist/build/Text/JSON/ReadP.o )
>> >>
>> >> Text/JSON/ReadP.hs:104:21:
>> >>     Warning: A do-notation statement discarded a result of type b.
>> >>              Suppress this warning by saying "_ <- n",
>> >>              or by using the flag -fno-warn-unused-do-bind
>> >> [4 of 7] Compiling Text.JSON.Parsec ( Text/JSON/Parsec.hs,
>> >> dist/build/Text/JSON/Parsec.o )
>> >> ghc: memory allocation failed (requested 2097152 bytes)
>> >> cabal: Error: some packages failed to install:
>> >> json-0.4.4 failed during the building phase. The exception was:
>> >> ExitFailure 1
>> >>
>> >> This is on a machine with 16GB of RAM.
>> >>
>> >> I don't think
>> >>
>> >>
>> http://www.haskell.org/cabal/FAQ.html#cabal-goes-into-an-infinite-loop--runs-out-of-memory
>> >> applies because I'm using higher versions than mentioned there:
>> >> $ ghc --version
>> >> The Glorious Glasgow Haskell Compilation System, version 6.12.3
>> >> $ cabal --version
>> >> cabal-install version 0.8.2
>> >> using version 1.8.0.6 of the Cabal library
>> >>
>> >> I know Mac OS 10.5.8 is old, but unfortunately ugrading this
>> >> particular machine is not an option.
>> >> Hope someone can help.
>> >> Thanks,
>> >> Dan
>> >>
>> >> _______________________________________________
>> >> Beginners mailing list
>> >> Beginners at haskell.org
>> >> http://www.haskell.org/mailman/listinfo/beginners
>> >
>> >
>>
>> _______________________________________________
>> Beginners mailing list
>> Beginners at haskell.org
>> http://www.haskell.org/mailman/listinfo/beginners
>>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/beginners/attachments/20121121/4a1fb1ba/attachment.htm>

Reply | Threaded
Open this post in threaded view
|

Can't install json-.0.4.4 - memory allocation failed

Brandon Allbery
On Wed, Nov 21, 2012 at 6:00 PM, Peter Hall <peter.hall at memorphic.com>wrote:

> OSX 10.5.8 isn't THAT old. You can definitely get a Haskell Platform 7.x


PPC might be, though.

--
brandon s allbery kf8nh                               sine nomine associates
allbery.b at gmail.com                                  ballbery at sinenomine.net
unix/linux, openafs, kerberos, infrastructure          http://sinenomine.net
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/beginners/attachments/20121121/c4cbac99/attachment.htm>

Reply | Threaded
Open this post in threaded view
|

Can't install json-.0.4.4 - memory allocation failed

Dan Tenenbaum
It's not a PPC machine, it's an Intel Machine.
The only Haskell Platform installer for Mac OS 10.5 that I have found
is at the bottom of:
http://www.haskell.org/platform/mac.html
It's labeled  2010.2.0.0.

I don't think I have any old port installations hanging out messing
things up (though I'll doublecheck). For one thing, /opt/local (where
port installs things) is not in the PATH. I've never used brew on this
machine,

I tried passing some parameters to use the compacting collector, and
to set the heap size, as suggested by this post:
http://stackoverflow.com/questions/13479538/cant-install-json-0-4-4-memory-allocation-failed

Unfortunately I get the same results (I set heap size to 4095MB, the
largest I'm allowed to set it).
Doesn't seem to matter whether the compacting collector is used or not.

Dan

On Wed, Nov 21, 2012 at 3:07 PM, Brandon Allbery <allbery.b at gmail.com> wrote:

> On Wed, Nov 21, 2012 at 6:00 PM, Peter Hall <peter.hall at memorphic.com>
> wrote:
>>
>> OSX 10.5.8 isn't THAT old. You can definitely get a Haskell Platform 7.x
>
>
> PPC might be, though.
>
> --
> brandon s allbery kf8nh                               sine nomine associates
> allbery.b at gmail.com                                  ballbery at sinenomine.net
> unix/linux, openafs, kerberos, infrastructure          http://sinenomine.net
>


Reply | Threaded
Open this post in threaded view
|

Can't install json-.0.4.4 - memory allocation failed

Dan Tenenbaum
Updating GHC by building it from source seemed to to the trick. I was
then able to install the latest pandoc and dependencies. It was
suggested I install GHC 7.4.2 rather than 7.6.* so that's what I did.
Thanks,
Dan


On Wed, Nov 21, 2012 at 3:24 PM, Dan Tenenbaum <dtenenba at fhcrc.org> wrote:

> It's not a PPC machine, it's an Intel Machine.
> The only Haskell Platform installer for Mac OS 10.5 that I have found
> is at the bottom of:
> http://www.haskell.org/platform/mac.html
> It's labeled  2010.2.0.0.
>
> I don't think I have any old port installations hanging out messing
> things up (though I'll doublecheck). For one thing, /opt/local (where
> port installs things) is not in the PATH. I've never used brew on this
> machine,
>
> I tried passing some parameters to use the compacting collector, and
> to set the heap size, as suggested by this post:
> http://stackoverflow.com/questions/13479538/cant-install-json-0-4-4-memory-allocation-failed
>
> Unfortunately I get the same results (I set heap size to 4095MB, the
> largest I'm allowed to set it).
> Doesn't seem to matter whether the compacting collector is used or not.
>
> Dan
>
> On Wed, Nov 21, 2012 at 3:07 PM, Brandon Allbery <allbery.b at gmail.com> wrote:
>> On Wed, Nov 21, 2012 at 6:00 PM, Peter Hall <peter.hall at memorphic.com>
>> wrote:
>>>
>>> OSX 10.5.8 isn't THAT old. You can definitely get a Haskell Platform 7.x
>>
>>
>> PPC might be, though.
>>
>> --
>> brandon s allbery kf8nh                               sine nomine associates
>> allbery.b at gmail.com                                  ballbery at sinenomine.net
>> unix/linux, openafs, kerberos, infrastructure          http://sinenomine.net
>>